org.apache.ignite.internal.processors.cache.persistence.checkpoint

## Interface CheckpointListener

All Known Implementing Classes:
  CacheGroupPageScanner, DurableBackgroundTasksProcessor, GridCacheOffheapManager, IndexRebuildStateStorage, MetaStorage, TxLog

    public interface CheckpointListener

Listener which methods will be called in a corresponded checkpoint life cycle period.

### Nested Class Summary

Nested Classes
`static interface` `CheckpointListener.Context` Context with information about current snapshots.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default void` `afterCheckpointEnd(CheckpointListener.Context ctx)` Do some actions after checkpoint end.
`void` `beforeCheckpointBegin(CheckpointListener.Context ctx)` Do some actions before checkpoint write lock.
`void` `onCheckpointBegin(CheckpointListener.Context ctx)`
`void` `onMarkCheckpointBegin(CheckpointListener.Context ctx)`

### Method Detail

#### onMarkCheckpointBegin

    void onMarkCheckpointBegin(CheckpointListener.Context ctx)
                        throws IgniteCheckedException

Throws:
  `IgniteCheckedException` - If failed.

#### onCheckpointBegin

    void onCheckpointBegin(CheckpointListener.Context ctx)
                    throws IgniteCheckedException

Throws:
  `IgniteCheckedException` - If failed.

#### beforeCheckpointBegin

    void beforeCheckpointBegin(CheckpointListener.Context ctx)
                        throws IgniteCheckedException

Do some actions before checkpoint write lock.

Throws:
  `IgniteCheckedException` - If failed.

#### afterCheckpointEnd

    default void afterCheckpointEnd(CheckpointListener.Context ctx)
                             throws IgniteCheckedException

Do some actions after checkpoint end.

Throws:
  `IgniteCheckedException` - If failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021